%define name gdict
%define version	0.7
%define release	%mkrel 11

Summary:   Client for MIT's dictionary server
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Office
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL:       http://www.psilord.com/code
BuildRequires: gtk+-devel

%description
gdict is a GTK+ application that connects to MIT's dictionary server
and returns the definition to a user-specified word. It is based on
Michael Bacarella's small dict client. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
make

%install
install -m 755 -d $RPM_BUILD_ROOT%_bindir
install -m 755 gdict $RPM_BUILD_ROOT%_bindir/%name


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%_bindir/%name
Name=Gdict
Comment=On-line dictionary
Icon=office_accessories_section
Categories=Office;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif


%files
%defattr (-,root,root)
%_bindir/%name
%doc COPYING ChangeLog README
%{_datadir}/applications/mandriva-*.desktop




%changelog
* Tue Sep 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-11mdv2009.0
+ Revision: 278873
- Fix desktop entry

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-10mdv2009.0
+ Revision: 245822
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7-8mdv2008.1
+ Revision: 131557
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import gdict


* Fri Apr 08 2005 Olivier Thauvin <nanardon@mandrake.org> 0.7-8mdk
- fix menu path

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-7mdk
- fix typo in menu entry

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.7-6mdk
- Fix menu entry

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 0.7-5mdk
- buildrequires

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-4mdk
- Fix menu entry

* Fri Oct 19 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.7-3mdk
- License

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- new office menu structure

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-4mdk
- BM

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-3mdk
- BM
- remove docdir & packager tag

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- fix group 

* Fri Feb 18 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandake build

* Fri Mar 26 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- Update to version 0.6
* Wed Mar 24 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- first build
